body {
    padding: 0;
    margin: 0;
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    overflow-x: hidden;
    background-color: #d0d0d0;
}

div.content {
    background-color: #fff;
    grid-column: 1/13;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    margin: 45px;
}

div.content > h1:first-of-type {
    grid-column: 2/4;
    margin-top: 40px;
}

div.content > input {
    grid-column: 5/12;
    height: 30px;
    margin-top: 40px;
    background-color: #f2f2f2;
    border: 0px;
    font-size: 14pt;
    padding: 10px;
}

div.content > input:focus-visible {
    border: 0px;
}

div.content > div:nth-of-type(1) {
    background-color: #b5cd73;
    height: 10px;
    margin-top: 40px;
    grid-column: 1/13;
}

.programms {
    margin: 0 30px;
    grid-column: 1/13;
    display: grid;
    grid-template-columns: repeat(11, calc((100% - 200px) / 11));
    grid-column-gap: 20px;
    box-sizing: border-box;
}

.programms > a:first-child {
    grid-column: 1/3;
}

.programms > a:nth-child(2) {
    grid-column: 4/6;
}

.programms > a:nth-child(3) {
    grid-column: 7/9;
}

.programms > a:nth-child(4) {
    grid-column: 10/12;
}

.programms > a {
    display: flex;
    flex-direction: column;
}

.programms > a div:first-child {
    background: #f2f2f2;
    padding: 15px;
    text-align: center;
    font-size: 10pt;
}

.programms img {
    width: 100%;
    height: 100%;
}

.programms > a div:last-child {
    font-weight: bold;
    font-size: 14pt;
}

.content a {
    text-decoration: none;
    color: #000;
    display: block;
}

@media (max-width: 960px) {
    body {
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
    }
    
    div.content {
        grid-column: 1/9;
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
        margin: 45px 0 0 0;
    }
    
    div.content > h1:first-of-type {
        grid-column: 2/3;
        font-size: 18pt;
    }
    
    div.content > input {
        grid-column: 4/8;
    }
    
    div.content > div:nth-of-type(1) {
        grid-column: 1/9;
    }
    
    .programms {
        grid-column: 1/9;
        grid-template-columns: repeat(7, calc((100% - 120px) / 7));
    }
    
    .programms > a:first-child, .programms > a:nth-child(3) {
        grid-column: 1/4;
    }
    
    .programms > a:nth-child(2), .programms > a:nth-child(4) {
        grid-column: 5/8;
    }

    .programms > a:first-child, .programms > a:nth-child(3), .programms > a:nth-child(2), .programms > a:nth-child(4) {
        margin: 15px auto;
        text-align: center;
    }
}

@media(max-width: 610px) {
    div.content > input {
        display: none;
    }

    div.content > h1:first-of-type {
        grid-column: 1/9;
        text-align: center;
    }
}

@media (max-width: 480px) {
    body {
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    
    div.content {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
        margin: 45px 0 0 0;
    }
    
    div.content > h1:first-of-type {
        grid-column: 2/6;
    }
    
    div.content > div:nth-of-type(1) {
        grid-column: 1/7;
    }
    
    .programms {
        grid-column: 1/7;
        grid-template-columns: repeat(5, calc((100% - 80px) / 5));
    }
    
    .programms > a:first-child, .programms > a:nth-child(3), .programms > a:nth-child(2), .programms > a:nth-child(4) {
        grid-column: 1/6;
        margin: 15px auto;
        text-align: center;
    }
}